Bug 1368443 - Better error message for unresolvable host name
Summary: Better error message for unresolvable host name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Stephen Benjamin
QA Contact: Adam Ruzicka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-19 12:13 UTC by Stephen Wadeley
Modified: 2019-09-25 20:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 16929 0 Normal Closed Better error message for unresolvable host name 2020-10-30 16:38:29 UTC

Description Stephen Wadeley 2016-08-19 12:13:23 UTC
Description of problem:

If you do not configure a FQDN properly an error message is displayed, but the error message is incorrect.

The main error is in this part:
   1.2.3.4 full.hostname.com full

This would be more accurate:
   1.2.3.4 host_name.domain_name.com host_name

Version-Release number of selected component (if applicable):


How reproducible:
every time

Steps to Reproduce:
1. misconfigure host anme
2. try to install Satellite Server 


Actual results:
hostname: No address associated with name
 Output of 'facter fqdn' is different from 'hostname -f'
 
 Make sure above command gives the same output. If needed, change 
 the hostname permanently via 'hostname' command and editing 
 appropriate configuration file. (e.g. on Red Hat systems /etc/sysconfig/network).

 If 'hostname -f' still returns unexpected result, check /etc/hosts and put
 hostname entry in the correct order, for example:
 
   1.2.3.4 full.hostname.com full
 
 Fully qualified hostname must be the first entry on the line
 Your system does not meet configuration criteria


Expected results:

hostname: No address associated with name
 Output of 'facter fqdn' is different from 'hostname -f'
 
 Make sure the above command gives the same output. If needed, change 
 the host name permanently using the 'hostname' command and editing 
 appropriate configuration files. (e.g. '/etc/sysconfig/network' on Red Hat Enterprise Linux 6 systems or '/etc/hostname' on Red Hat Enterprise Linux 7 systems ).

 If 'hostname -f' still returns unexpected result, check /etc/hosts and put
 the host name entry in the correct order, for example:
 
   1.2.3.4 host_name.domain_name.com host_name
 
 The Fully qualified host name must be the first entry on the line after the IP address.

 Your system does not meet configuration criteria

Additional info:

Comment 2 Stephen Benjamin 2016-10-14 12:42:38 UTC
Created redmine issue http://projects.theforeman.org/issues/16929 from this bug

Comment 3 Stephen Benjamin 2016-10-14 12:43:11 UTC
I wouldn't say it's incorrect, just unhelpful..

Comment 4 Stephen Wadeley 2016-10-14 12:50:56 UTC
I said "incorrect" because of this bit: full.hostname
the is not how a FQDN works.

Comment 5 Bryan Kearney 2016-10-14 14:13:37 UTC
Upstream bug assigned to stbenjam@redhat.com

Comment 6 Bryan Kearney 2016-10-14 14:13:41 UTC
Upstream bug assigned to stbenjam@redhat.com

Comment 7 Bryan Kearney 2016-10-18 16:15:12 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/16929 has been resolved.

Comment 8 Adam Ruzicka 2017-08-23 13:13:23 UTC
Verified.
Version Tested: Satellite-6.3 Snap 12

Package versions:
satellite-6.3.0-16.0.beta.el7sat.noarch
foreman-installer-1.15.2-1.el7sat.noarch
foreman-installer-katello-3.4.4-1.el7sat.noarch
katello-installer-base-3.4.4-1.el7sat.noarch
satellite-installer-6.3.0.3-1.beta.el7sat.noarch

The error message when hostname is not set correctly is better now.

# hostname -f
snap12.satellite63.centos7.lxc

# cat >/etc/hosts <<-END
127.0.0.1 localhost
192.168.122.74 foobar snap12.satellite63.centos7.lxc
END

# hostname -f
foobar

# satellite-installer --scenario satellite                                     
Output of 'hostname -f' does not seems to be valid FQDN                                       

Make sure above command gives fully qualified domain name. At least one                       
dot must be present and underscores are not allowed. If 'hostname -f' still returns unexpected result, check /etc/hosts                                                                      
and put the hostname entry in the correct order, for example:                                 

  1.2.3.4 hostname.example.com hostname        

Fully qualified hostname must be the first entry on the line                                  
Your system does not meet configuration criteria

Comment 9 Satellite Program 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336

Comment 10 David Dubuque 2019-01-31 14:52:58 UTC
Running the following command sets the static hostname and allows you to run the foreman installer

hostnamectl set-hostname your-new-hostname

Reboot your system and you can run the installer just fine.


Note You need to log in before you can comment on or make changes to this bug.